## ros-kinetic-fanuc-lrmate200ib-support 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(fanuc_lrmate200ib_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES readme.md DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-fanuc-lrmate200ib-support (0.5.1-1xenial) xenial; urgency=high

  * bump min CMake version (#309 <https://github.com/ros-industrial/fanuc/issues/309>).
  * correct missing dependency on ``industrial_robot_client`` (RViz cfg) (#306 <https://github.com/ros-industrial/fanuc/issues/306>).
  * specify OPW joint offsets in degrees (#293 <https://github.com/ros-industrial/fanuc/issues/293>).
  * point to manifest for info on package contents (#292 <https://github.com/ros-industrial/fanuc/issues/292>).
  * add OPW kinematics parameter files (#284 <https://github.com/ros-industrial/fanuc/issues/284>).
  * remove roslaunch version requirements as they're no longer needed (#278 <https://github.com/ros-industrial/fanuc/issues/278>).
  * migrate to JSP GUI (was split out of JSP).
  * for a complete list of changes see the commit log for 0.5.1 <https://github.com/ros-industrial/fanuc/compare/0.5.0...0.5.1>.
  * contributors: Jeroen de Maeyer, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 01 Apr 2021 22:00:00 -0000

ros-kinetic-fanuc-lrmate200ib-support (0.5.0-1xenial) xenial; urgency=high

  * make ``flange`` parent of ``tool0`` (#271 <https://github.com/ros-industrial/fanuc/issues/271>).
  * update xacro xmlns uri (#239 <https://github.com/ros-industrial/fanuc/issues/239>).
  * for a complete list of changes see the commit log for 0.5.0 <https://github.com/ros-industrial/fanuc/compare/0.4.4...0.5.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 24 Sep 2019 22:00:00 -0000

ros-kinetic-fanuc-lrmate200ib-support (0.4.4-1xenial) xenial; urgency=high

  * first Indigo release of this package.
  * promote experimental packages for LR Mate 200iB to main repository.
  * for a complete list of changes see the commit log for 0.4.4 <https://github.com/ros-industrial/fanuc/compare/0.4.3...0.4.4>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jan 2018 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fanuc-lrmate200ib-support
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/fanuc_lrmate200ib_support
Standards-Version: 3.9.2

Package: ros-kinetic-fanuc-lrmate200ib-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-fanuc-driver, ros-kinetic-fanuc-resources, ros-kinetic-industrial-robot-client, ros-kinetic-joint-state-publisher-gui, ros-kinetic-robot-state-publisher, ros-kinetic-rviz, ros-kinetic-xacro
Description: ROS-Industrial support for the Fanuc LR Mate 200iB (and variants).
 This package contains configuration data, 3D models and launch files for Fanuc LR Mate 200iB manipulators. This currently includes the base model and the /3L. Joint limits and maximum joint velocities are based on the information in the Fanuc LR Mate 200iB-200iB/3L datasheet, dated 24-Feb-2003. All urdfs are based on the default motion and joint velocity limits, unless noted otherwise (ie: no support for high speed joints, extended / limited motion ranges or other options). Before using any of the configuration files and / or meshes included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with. Contributors: This support package has received contributions from: Victor Lamoine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fanuc-lrmate200ib-support//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
